﻿/*#region #sad*/
/*#region #calendar*/
.calendar {
  width: calc(100%); }
  .calendar .calendar-top {
    border: 1px solid #e5e5e7;
    border-bottom: 0;
    border-radius: 3px 3px 0 0;
    padding: 10px;
    background-color: var(--white); }
    .calendar .calendar-top .btn-today,
    .calendar .calendar-top .btn-booking {
      width: 12%;
      color: var(--white);
      padding: 5px;
      height: 30px;
      margin-top: 3px; }
      .calendar .calendar-top .btn-today i,
      .calendar .calendar-top .btn-booking i {
        font-size: 12px; }
    .calendar .calendar-top .btn-booking i:before {
      margin-right: -5px; }
    .calendar .calendar-top .control-daytime {
      width: 76%; }
      .calendar .calendar-top .control-daytime .form-group {
        margin: 0; }
        .calendar .calendar-top .control-daytime .form-group .clear-datebutton {
          display: none; }
          .calendar .calendar-top .control-daytime .form-group .clear-datebutton i {
            position: absolute;
            top: -25px;
            right: -35px; }
      .calendar .calendar-top .control-daytime .control-button a {
        color: var(--black);
        padding: 0 5px; }
        .calendar .calendar-top .control-daytime .control-button a i {
          padding: 9px;
          width: 35px;
          height: 35px;
          border-radius: 50%;
          background-color: #f3f1f6;
          font-size: 16px; }
  .calendar .calendar-body {
    color: var(--gray); }
    .calendar .calendar-body .calendar-day div {
      width: calc((100% - 43px)/7);
      text-align: center;
      border: 1px solid #e5e5e7;
      border-right: 0;
      padding: 5px; }
      .calendar .calendar-body .calendar-day div h1 {
        display: inline-block;
        vertical-align: middle;
        margin: 0; }
      .calendar .calendar-body .calendar-day div .date {
        display: inline-block;
        margin: 0 0 0 10px;
        vertical-align: middle;
        font-weight: 500; }
    .calendar .calendar-body .calendar-day #day-empty {
      width: 43px; }
    .calendar .calendar-body .calendar-time {
      height: calc(100vh - 225px);
      overflow-y: scroll; }
      .calendar .calendar-body .calendar-time .time-col {
        width: calc((100% - 43px)/7);
        position: relative; }
        .calendar .calendar-body .calendar-time .time-col .time-of-day-box {
          height: 48px;
          border: 1px solid #e5e5e7;
          border-top: 0;
          border-right: 0; }
        .calendar .calendar-body .calendar-time .time-col .sticky-bk-view {
          position: absolute;
          background: var(--success);
          color: var(--white);
          width: 100%;
          padding: 3px;
          overflow: hidden;
          line-height: 15px;
          border: 1px solid var(--white); }
          .calendar .calendar-body .calendar-time .time-col .sticky-bk-view.bgroup {
            background: var(--indigo); }
          .calendar .calendar-body .calendar-time .time-col .sticky-bk-view.birthday {
            background: var(--pink); }
          .calendar .calendar-body .calendar-time .time-col .sticky-bk-view p {
            margin-bottom: 5px; }
          .calendar .calendar-body .calendar-time .time-col .sticky-bk-view .time .start-time {
            padding-right: 5px; }
            .calendar .calendar-body .calendar-time .time-col .sticky-bk-view .time .start-time:after {
              content: "-";
              padding-left: 5px; }
        .calendar .calendar-body .calendar-time .time-col .sticky-bk-group {
          position: absolute;
          background: var(--info);
          color: var(--white);
          width: 100%;
          padding: 3px;
          overflow: hidden;
          line-height: 15px;
          border: 1px solid var(--white); }
      .calendar .calendar-body .calendar-time .time-list {
        width: 43px; }
        .calendar .calendar-body .calendar-time .time-list .time-box {
          height: 96px;
          border-left: 1px solid #e5e5e7;
          font-weight: 500; }
          .calendar .calendar-body .calendar-time .time-list .time-box:last-child {
            border-bottom: 1px solid #e5e5e7; }

.au-popup {
  position: fixed;
  z-index: 99;
  width: 100%;
  height: 100%;
  background: var(--white);
  display: none; }
  .au-popup .clear-datebutton {
    display: none; }
  .au-popup .p-head {
    text-align: center;
    position: relative;
    padding: 10px 0;
    height: 49px;
    border-bottom: 1px solid #ddd; }
    .au-popup .p-head h3 {
      margin: 0; }
    .au-popup .p-head a {
      position: absolute;
      font-size: 32px;
      right: 5px;
      top: 0;
      line-height: 49px; }
  .au-popup .p-body {
    height: calc(100% - 50px); }
    .au-popup .p-body .servicecol {
      height: 100%;
      overflow-y: auto;
      width: 65%;
      padding: 30px;
      border-right: 1px solid #ddd; }
      .au-popup .p-body .servicecol .bookinginfo .fgroup {
        width: 50%;
        padding: 0 10px; }
      .au-popup .p-body .servicecol .bookinginfo .fgroup-f {
        width: 100%;
        padding: 0 10px; }
      .au-popup .p-body .servicecol .sv-lst .service-item {
        padding: 20px 10px;
        -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
        box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
        margin-top: 30px;
        position: relative; }
        .au-popup .p-body .servicecol .sv-lst .service-item .rem {
          position: absolute;
          right: 5px;
          top: 5px;
          font-size: 18px;
          color: var(--danger); }
        .au-popup .p-body .servicecol .sv-lst .service-item:first-child {
          margin-top: 0; }
        .au-popup .p-body .servicecol .sv-lst .service-item .fgroup {
          width: 50%;
          padding: 0 10px; }
        .au-popup .p-body .servicecol .sv-lst .service-item .fgroup-f {
          width: 100%;
          padding: 0 10px; }
      .au-popup .p-body .servicecol .sv-lst .add-moresv {
        background-color: var(--secondary);
        color: var(--dark);
        padding: 15px;
        text-align: center;
        font-weight: bold;
        text-transform: uppercase; }
    .au-popup .p-body .cus-info {
      width: 35%;
      height: 100%;
      position: relative; }
      .au-popup .p-body .cus-info .searchbox {
        height: calc(100% - 83px); }
        .au-popup .p-body .cus-info .searchbox .search-c {
          padding: 20px;
          background: var(--light);
          border-bottom: 1px solid #ddd;
          height: 83px; }
        .au-popup .p-body .cus-info .searchbox .addcusstomer {
          background-color: var(--secondary);
          color: var(--dark);
          padding: 15px;
          text-align: center;
          font-weight: bold;
          text-transform: uppercase;
          height: 51px; }
        .au-popup .p-body .cus-info .searchbox .searchresult {
          height: calc(100% - 134px);
          overflow-y: auto; }
          .au-popup .p-body .cus-info .searchbox .searchresult .search-item {
            display: flex;
            align-items: center;
            padding: 15px;
            border-top: 1px solid #ddd;
            width: 100%; }
            .au-popup .p-body .cus-info .searchbox .searchresult .search-item:first-child {
              border-top: none; }
            .au-popup .p-body .cus-info .searchbox .searchresult .search-item .ava {
              height: 64px;
              width: 64px;
              border-radius: 50%;
              background: var(--light);
              color: var(--dark);
              text-transform: uppercase;
              text-align: center;
              line-height: 64px;
              font-weight: 500;
              margin-right: 10px;
              font-size: 22px; }
            .au-popup .p-body .cus-info .searchbox .searchresult .search-item .info {
              width: calc(100% - 75px); }
              .au-popup .p-body .cus-info .searchbox .searchresult .search-item .info span {
                display: block; }
              .au-popup .p-body .cus-info .searchbox .searchresult .search-item .info .name {
                font-weight: 500; }
      .au-popup .p-body .cus-info .has-cus {
        display: flex;
        align-items: center;
        padding: 15px;
        border-bottom: 1px solid #ddd;
        width: 100%; }
        .au-popup .p-body .cus-info .has-cus .ava {
          height: 64px;
          width: 64px;
          border-radius: 50%;
          background: var(--light);
          color: var(--dark);
          text-transform: uppercase;
          text-align: center;
          line-height: 64px;
          font-weight: 500;
          margin-right: 10px;
          font-size: 22px; }
        .au-popup .p-body .cus-info .has-cus .info {
          width: calc(100% - 111px); }
          .au-popup .p-body .cus-info .has-cus .info span {
            display: block; }
          .au-popup .p-body .cus-info .has-cus .info .name {
            font-weight: 500; }
      .au-popup .p-body .cus-info .btn-pop {
        position: absolute;
        padding: 20px;
        text-align: center;
        bottom: 0;
        right: 0;
        left: 0;
        border-top: 1px solid #ddd;
        height: 83px; }
        .au-popup .p-body .cus-info .btn-pop button {
          text-transform: uppercase;
          font-weight: 500; }

.au-cuspop {
  position: fixed;
  width: 100%;
  height: 100%;
  background: var(--white);
  display: none; }
  .au-cuspop .p-head {
    text-align: center;
    position: relative;
    padding: 10px 0;
    height: 49px;
    border-bottom: 1px solid #ddd; }
    .au-cuspop .p-head h3 {
      margin: 0; }
    .au-cuspop .p-head a {
      position: absolute;
      font-size: 32px;
      right: 5px;
      top: 0;
      line-height: 49px; }
  .au-cuspop .p-body {
    height: calc(100% - 132px);
    overflow-y: auto; }
    .au-cuspop .p-body .info-form {
      width: 560px;
      margin: 30px auto;
      padding: 30px 15px;
      -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
      box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12); }
      .au-cuspop .p-body .info-form .i-2 {
        width: 50%;
        padding: 0 15px; }
      .au-cuspop .p-body .info-form .i-3 {
        width: 33.33%;
        padding: 0 15px; }
  .au-cuspop .p-foot {
    padding: 20px;
    text-align: center;
    width: 100%;
    position: absolute;
    bottom: 0;
    border-top: 1px solid #ddd; }
    .au-cuspop .p-foot button {
      margin-left: 10px; }
      .au-cuspop .p-foot buttonfirst-child {
        margin-left: 0; }

.select-appointment-pop {
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  z-index: 10;
  display: none; }
  .select-appointment-pop .closebtn {
    font-size: 50px;
    line-height: 50px;
    position: absolute;
    top: 5px;
    right: 5px;
    color: var(--white); }
  .select-appointment-pop .box {
    position: absolute;
    width: 100%;
    padding: 0 40px;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    overflow-x: auto;
    white-space: nowrap; }
    .select-appointment-pop .box .item {
      display: inline-block;
      background: var(--success);
      color: var(--white);
      overflow: hidden;
      line-height: 22px;
      border: 1px solid var(--white);
      padding: 20px;
      margin-left: 20px; }
      .select-appointment-pop .box .item:first-child {
        margin-left: 0; }

/*#endregion*/
@media screen and (min-width: 1920px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (min-width: 1200px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 1366px) {
  /*#region #sad*/ }

@media screen and (max-width: 1024px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 768px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 450px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 320px) {
  /*#region #sad*/
  /*#endregion*/ }

/*------------------------------------*  STYLE FIX ALL BROWSER
\*------------------------------------*/
/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/ }

/*#endregion*/
/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/ }

/*#endregion*/
/*#region #scrollbar*/
/*html::-webkit-scrollbar {width: 3px;height: 3px}
html::-webkit-scrollbar-track {background: rgb(111,111,111);}
html::-webkit-scrollbar-thumb {width: 15px;background: var(--primary);}
div::-webkit-scrollbar {width: 3px;height: 3px}
div::-webkit-scrollbar-track {background: rgb(111,111,111);}
div::-webkit-scrollbar-thumb {width: 15px;background: var(--primary);}
textarea::-webkit-scrollbar {width: 3px;height: 3px}
textarea::-webkit-scrollbar-track {background: rgb(111,111,111);}
textarea::-webkit-scrollbar-thumb {width: 15px;background: var(--primary);}*/
/*#endregion*/
.staff-list {
  padding: 5px;
  width: 100%;
  position: relative; }
  .staff-list .section-top {
    position: relative; }
    .staff-list .section-top button {
      width: 10%; }
  .staff-list .search-container {
    margin: 0;
    margin-top: 10px;
    padding: 0; }
    .staff-list .search-container input {
      width: calc(100% - 10px);
      margin-right: 10px;
      border: 1px solid #e5e5e7;
      border-radius: 8px;
      padding: 5px 30px 5px 10px;
      position: relative; }
      .staff-list .search-container input:focus {
        outline: 0;
        outline-style: none;
        outline-width: 0; }
    .staff-list .search-container a {
      position: absolute;
      background-color: var(--white);
      border: 0;
      right: 15px;
      width: 20px;
      top: 6px; }
  .staff-list .section-body {
    width: calc(100% - 135px);
    margin-left: 135px;
    white-space: nowrap;
    overflow-x: auto; }
    .staff-list .section-body .item-staff {
      display: inline-block;
      padding: 5px 10px;
      margin: 0 5px;
      border-radius: 3px;
      /*background-color: var(--white);*/
      -webkit-transition: background-color 0.4s;
      transition: background-color 0.4s;
      /*img {
                width: 45px;
                height: 45px;
                border-radius: 50%;
            }*/ }
      .staff-list .section-body .item-staff .ava {
        display: inline-block;
        width: 32px;
        height: 32px;
        background-color: var(--primary);
        color: #fff;
        font-weight: bold;
        text-align: center;
        line-height: 32px;
        border-radius: 50%;
        font-size: 16px;
        text-transform: uppercase; }
      .staff-list .section-body .item-staff .des {
        display: inline-block;
        padding-left: 5px;
        font-weight: 500;
        font-size: 14px;
        color: var(--gray); }
      .staff-list .section-body .item-staff:hover, .staff-list .section-body .item-staff.active {
        background-color: var(--primary); }
        .staff-list .section-body .item-staff:hover .ava, .staff-list .section-body .item-staff.active .ava {
          background-color: #fff;
          color: var(--primary); }
        .staff-list .section-body .item-staff:hover .des, .staff-list .section-body .item-staff.active .des {
          color: var(--white); }
      .staff-list .section-body .item-staff:first-child {
        margin-top: 0; }
      .staff-list .section-body .item-staff:last-child {
        margin-bottom: 0; }
  .staff-list .section-bot {
    position: absolute;
    left: 0;
    top: 0; }
    .staff-list .section-bot .default-staff {
      padding: 5px 10px;
      margin: 5px 0 0 5px;
      border-radius: 3px;
      background-color: var(--white); }
      .staff-list .section-bot .default-staff a i {
        color: var(--white);
        font-size: 18px;
        line-height: 32px;
        text-align: center;
        width: 32px;
        height: 32px;
        background-color: var(--primary);
        border-radius: 50%; }
      .staff-list .section-bot .default-staff a .des {
        padding-left: 5px;
        font-weight: 500;
        font-size: 14px;
        color: var(--gray); }
      .staff-list .section-bot .default-staff:hover, .staff-list .section-bot .default-staff.active {
        background-color: var(--primary); }
        .staff-list .section-bot .default-staff:hover a i, .staff-list .section-bot .default-staff.active a i {
          color: var(--primary);
          background-color: var(--white); }
        .staff-list .section-bot .default-staff:hover a .des, .staff-list .section-bot .default-staff.active a .des {
          color: var(--white); }

/*#endregion*/
@media screen and (min-width: 1920px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (min-width: 1200px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 1366px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 1024px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 768px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 450px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 320px) {
  /*#region #sad*/
  /*#endregion*/ }

/*------------------------------------*  STYLE FIX ALL BROWSER
\*------------------------------------*/
/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/ }

/*#endregion*/
/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/ }

/*#endregion*/
/*#region #addappointment*/
.popup {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1050;
  /*display: none;*/
  width: 100%;
  height: 100%;
  overflow: hidden;
  outline: 0;
  visibility: hidden; }

.popup .show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s; }

#add-appointment {
  -webkit-box-shadow: 0 16px 28px 0 rgba(0, 0, 0, 0.22), 0 25px 55px 0 rgba(0, 0, 0, 0.21);
  box-shadow: 0 16px 28px 0 rgba(0, 0, 0, 0.22), 0 25px 55px 0 rgba(0, 0, 0, 0.21);
  position: relative;
  background: white;
  padding: 20px;
  margin: 1.75rem auto;
  width: 75%; }
  #add-appointment h2 {
    width: 100%;
    text-align: center;
    color: #0abb87; }
  #add-appointment .form-body {
    width: 100%; }
    #add-appointment .form-body .form-content .form-group .clear-datebutton {
      display: none; }
    #add-appointment .form-body .form-content .form-group label {
      width: 20%; }
    #add-appointment .form-body .form-content .form-group .form-control,
    #add-appointment .form-body .form-content .form-group .css-2b097c-container {
      width: 80%; }
    #add-appointment .form-body .form-content .form-group textarea {
      width: 100% !important; }
    #add-appointment .form-body .form-content .notification-form {
      margin: -20px 0 0 20%;
      color: var(--red);
      opacity: 0; }
    #add-appointment .form-body .form-content .show-noti {
      opacity: 1; }
    #add-appointment .form-body .form-content .service-detail button {
      width: 13%;
      margin: 0 auto;
      margin-right: 0; }
    #add-appointment .form-body .form-content .service-detail .service-detail-select {
      width: 65%; }
    #add-appointment .form-body .form-content .time-setting p {
      padding: 8px 10px;
      margin-bottom: 0; }
    #add-appointment .form-body .form-content .time-setting .flatpickr-mobile {
      width: 30%; }
    #add-appointment .form-body .form-content .seclected-group {
      margin-left: 20%; }
      #add-appointment .form-body .form-content .seclected-group .item-selected {
        background-color: #7579f6;
        border-radius: 35px;
        padding: 3px 10px;
        margin-right: 10px;
        margin-bottom: 10px; }
        #add-appointment .form-body .form-content .seclected-group .item-selected p {
          margin: 0;
          color: var(--white);
          padding: 0 5px; }
        #add-appointment .form-body .form-content .seclected-group .item-selected a {
          padding-left: 5px; }
          #add-appointment .form-body .form-content .seclected-group .item-selected a i {
            background: var(--white);
            color: var(--dark);
            border-radius: 50%; }
  #add-appointment .form-footer button {
    margin: 0 25px; }

/*#endregion*/
@media screen and (min-width: 1920px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (min-width: 1200px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 1366px) {
  /*#region #sad*/ }

@media screen and (max-width: 1024px) {
  /*#region #sad*/
  #add-appointment .form-body .form-content .time-setting .flatpickr-mobile {
    width: 29%; }
  /*#endregion*/ }

@media screen and (max-width: 768px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 450px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 320px) {
  /*#region #sad*/
  /*#endregion*/ }

/*------------------------------------*  STYLE FIX ALL BROWSER
\*------------------------------------*/
/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/ }

/*#endregion*/
/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/ }

/*#endregion*/
/*#endregion*/
@media screen and (min-width: 1920px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (min-width: 1200px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 1366px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 1024px) {
  /*#region #sad*/
  html, body {
    font-size: 14px; }
  /*#endregion*/ }

@media screen and (max-width: 768px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 450px) {
  /*#region #sad*/
  /*#endregion*/ }

@media screen and (max-width: 320px) {
  /*#region #sad*/
  /*#endregion*/ }

/*------------------------------------*  STYLE FIX ALL BROWSER
\*------------------------------------*/
/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/ }

/*#endregion*/
/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/ }

/*#endregion*/
